Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryQueueDatabaseConfig Constructor
SecondaryQueueDatabaseConfig Class See Also Send Feedback

Instantiate a new SecondaryQueueDatabaseConfig object

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public SecondaryQueueDatabaseConfig(
    	Database PrimaryDB,
    	SecondaryKeyGenDelegate KeyGenFunc
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	PrimaryDB As Database, _
    	KeyGenFunc As SecondaryKeyGenDelegate _
    )

Visual C++
    public:
    SecondaryQueueDatabaseConfig(
    	Database^ PrimaryDB,
    	SecondaryKeyGenDelegate^ KeyGenFunc
    )

#### Parameters

PrimaryDB
  Type: BerkeleyDB..::.Database

KeyGenFunc
  Type: BerkeleyDB..::.SecondaryKeyGenDelegate

# See Also

SecondaryQueueDatabaseConfig Class
BerkeleyDB Namespace